Subject: bug#68224: closed (Re: bug#68224: emacs-jsonrpc source no longer exists)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 03 Jan 2024 18:34:02 +0000

Your bug report

#68224: emacs-jsonrpc source no longer exists

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68224: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68224
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#68224: emacs-jsonrpc source no longer exists
From: Nicolas Goaziou <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked]
Date: Wed, 03 Jan 2024 19:33:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> [email-masked] (Cuirass) writes:
>
>> <p>The build <b>emacs-jsonrpc.i686-linux</b> for specification <b>master</b> is broken. You can find the detailed information about this build <a
>> href="https://ci.guix.gnu.org/build/3152892/details">here</a>.</p>
>>
>> https://ci.guix.gnu.org/build/3152892/details
>
> I've tried the above build twice, and both times it failed to retrieve
> its source:

Trying to build it a couple times more made it succeed.

If problem reappears, I will advocate for setting the package back to
using ELPA source, despite <https://issues.guix.gnu.org/57964>.

Closing for now.

Regards,
-- 
Nicolas Goaziou

Subject: emacs-jsonrpc source no longer exists
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Tue, 02 Jan 2024 15:07:49 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

[email-masked] (Cuirass) writes:

> <p>The build <b>emacs-jsonrpc.i686-linux</b> for specification <b>master</b> is broken. You can find the detailed information about this build <a
> href="https://ci.guix.gnu.org/build/3152892/details">here</a>.</p>
>
> https://ci.guix.gnu.org/build/3152892/details

I've tried the above build twice, and both times it failed to retrieve
its source:

--8<---------------cut here---------------start------------->8---
building path(s) `/gnu/store/dn3ld33q86mh41l1mmrv2rin37zrq7jl-emacs-jsonrpc-1.0.23-checkout'
|   @ build-started /gnu/store/340jjn5pp6zs4l2h8g01y6imhzwwkqa8-emacs-jsonrpc-1.0.23-checkout.drv - i686-linux /var/log/guix/drvs/34//0jjn5pp6zs4l2h8g01y6imhzwwkqa8-emacs-jsonrpc-1.0.23-checkout.drv.gz 9665
Initialized empty Git repository in /gnu/store/dn3ld33q86mh41l1mmrv2rin37zrq7jl-emacs-jsonrpc-1.0.23-checkout/.git/
error: Server does not allow request for unadvertised object 731cfee3b45361158d88bded3c32c9a48ace7bdb
Failed to do a shallow fetch; retrying a full fetch...
error: RPC failed; HTTP 504 curl 22 The requested URL returned error: 504
fatal: the remote end hung up unexpectedly
git-fetch: '/gnu/store/lzm26fsx3199gqpri0c4ia35r9968p8g-git-minimal-2.41.0/bin/git fetch origin' failed with exit code 128
Trying content-addressed mirror at bordeaux.guix.gnu.org...
Unable to fetch from bordeaux.guix.gnu.org, misc-error: (#f download failed ~S ~S ~S (http://bordeaux.guix.gnu.org/nar/lzip/dn3ld33q86mh41l1mmrv2rin37zrq7jl-emacs-jsonrpc-1.0.23-checkout 404 Not Found) #f)
Trying content-addressed mirror at ci.guix.gnu.org...
Unable to fetch from ci.guix.gnu.org, misc-error: (#f download failed ~S ~S ~S (http://ci.guix.gnu.org/nar/lzip/dn3ld33q86mh41l1mmrv2rin37zrq7jl-emacs-jsonrpc-1.0.23-checkout 404 Not Found) #f)
Trying content-addressed mirror at bordeaux.guix.gnu.org...
Unable to fetch from bordeaux.guix.gnu.org, misc-error: (#f download failed ~S ~S ~S (http://bordeaux.guix.gnu.org/nar/dn3ld33q86mh41l1mmrv2rin37zrq7jl-emacs-jsonrpc-1.0.23-checkout 404 Not Found) #f)
Trying content-addressed mirror at ci.guix.gnu.org...
Unable to fetch from ci.guix.gnu.org, misc-error: (#f download failed ~S ~S ~S (http://ci.guix.gnu.org/nar/dn3ld33q86mh41l1mmrv2rin37zrq7jl-emacs-jsonrpc-1.0.23-checkout 404 Not Found) #f)
Trying to download from Software Heritage...
SWH: found revision 731cfee3b45361158d88bded3c32c9a48ace7bdb with directory at 'https://archive.softwareheritage.org/api/1/directory/5e2b8f22bdc68c20ccac8f04b7b69f8abc8d71f8/'
SWH: object swh:1:dir:5e2b8f22bdc68c20ccac8f04b7b69f8abc8d71f8 could not be fetched from the vault
builder for `/gnu/store/340jjn5pp6zs4l2h8g01y6imhzwwkqa8-emacs-jsonrpc-1.0.23-checkout.drv' failed to produce output path `/gnu/store/dn3ld33q86mh41l1mmrv2rin37zrq7jl-emacs-jsonrpc-1.0.23-checkout'
@ build-failed /gnu/store/340jjn5pp6zs4l2h8g01y6imhzwwkqa8-emacs-jsonrpc-1.0.23-checkout.drv - 1 builder for `/gnu/store/340jjn5pp6zs4l2h8g01y6imhzwwkqa8-emacs-jsonrpc-1.0.23-checkout.drv' failed to produce output path `/gnu/store/dn3ld33q86mh41l1mmrv2rin37zrq7jl-emacs-jsonrpc-1.0.23-checkout'
cannot build derivation `/gnu/store/8xxaj2sz1k0m1i78m4lmn2lpxz3csylv-emacs-jsonrpc-1.0.23.drv': 1 dependencies couldn't be built
--8<---------------cut here---------------end--------------->8---

-- 
Thanks,
Maxim